Attribute VB_Name = "Module1"
'*************************************************************************
'**
'**  Copyright 1997 Pervasive Software Inc. All Rights Reserved
'**
'*************************************************************************
'*************************************************************************
'   SQLSAM32.BAS
'     This module is for use with Visual Basic for MS-Windows and
'     Scalable SQL.  It contains declarations used by the sample progam,
'     'sqlsam32.frm'.  For more info, look in sqlsam32.frm.
'
'     Notice that RecLen and ID in the structure below are declared as
'     strings instead of Integer and Long, respectively.  This is because we
'     need to have the structure elements aligned on byte boundaries,
'     the same way it is returned in Scalable SQL's data buffer.  Declaring
'     strings instead of integers causes byte alignement instead of
'     double-word alignment.
'
'     In general, there is no easy solution to the byte-alignment issue
'     short of Visual Basic providing for byte-aligned structures.
'
'************************************************************************
'*************************************************************************
'    DEFINE PERSON_STRUCT STRUCTURE AND GLOBAL VARIABLE
'*************************************************************************
Type PERSON_STRUCT
   RecLen             As String * 2    'really a short integer
   ID                 As String * 4    'really a long
   Dummy              As String * 4    'really a long
   FirstName          As String * 16
   LastName           As String * 26
   PermStreet         As String * 31
   PermCity           As String * 31
   PermState          As String * 3
   PermZip            As String * 11
   PermCountry        As String * 21
   Street             As String * 31
   City               As String * 31
   State              As String * 3
   Zip                As String * 11
   Phone              As String * 10
   EmergencyPhone     As String * 20
   Unlisted           As String * 1
   DateOfBirth        As String * 4
   EmailAddress       As String * 31
   Sex                As String * 1
   Citizenship        As String * 21
   Survey             As String * 1
   Smoker             As String * 1
   Married            As String * 1
   Children           As String * 1
   Disability         As String * 1
   Scholarship        As String * 1
   Comments           As String * 200
End Type


'*************************************************************************
'  Constants
'*************************************************************************
Const SUCCESS% = 0






