@echo off
:: Batch file to assemble the COBOL interface modules
:: Run with one parameter - the compiler to prepare for
::   (Realia3, Realia4, or MicroFocus)
:: Example for MicroFocus COBOL:
::      assemble microfocus
::
::

if %1$ == $ goto usage
if %1$ == realia3$ goto realia3
if %1$ == REALIA3$ goto realia3
if %1$ == Realia3$ goto realia3
if %1$ == realia4$ goto realia4
if %1$ == REALIA4$ goto realia4
if %1$ == Realia4$ goto realia4
if %1$ == microfocus$ goto microfocus
if %1$ == MICROFOCUS$ goto microfocus
if %1$ == Microfocus$ goto microfocus
goto usage

:realia3
copy realia.flg far.flg
MASM /MX /DREALIA4 sqlcob;
if errorlevel 1 goto err
goto out

:realia4
copy realia.flg far.flg
MASM /MX sqlcob;
if errorlevel 1 goto err
goto out

:microfocus
copy mfocus.flg far.flg
MASM /MX sqlcob;
if errorlevel 1 goto err
goto out

:usage
echo USAGE:  assemble realia3  OR  assemble realia4  OR  assemble microfocus
goto out

:err
echo An error occured during compilation ...
:out