Attribute VB_Name = "BTR32VB"
'{*************************************************************************
'**
'**  Copyright 1998 Pervasive Software Inc. All Rights Reserved
'**
'*************************************************************************}
'{*************************************************************************
'**
'**  BTR32VB.bas
'**
'**  This software is part of the Pervasive Software Developer Kit.
'**
'**  This source code is only intended as a supplement to the
'**  Pervasive.SQL documentation; see that documentation for detailed
'**  information regarding the use of Pervasive.SQL.
'**
'*************************************************************************}


' **************************************************************************
'                      Data Types
' **************************************************************************
Option Explicit

DefInt A-Z
Global Const BOPEN = 0
Global Const BCLOSE = 1
Global Const BINSERT = 2
Global Const BUPDATE = 3
Global Const BDELETE = 4
Global Const BGETEQUAL = 5
Global Const BGETNEXT = 6
Global Const BGETPREVIOUS = 7
Global Const BGETGREATEROREQUAL = 9
Global Const BGETFIRST = 12
Global Const BGETLAST = 13
Global Const BCREATE = 14
Global Const BSTAT = 15
Global Const BBEGINTRANS = 19
Global Const BTRANSSEND = 20
Global Const BABORTTRANS = 21
Global Const BGETPOSITION = 22
Global Const BGETRECORD = 23
Global Const BSTOP = 25
Global Const BVERSION = 26
Global Const BRESET = 28
Global Const BGETNEXTEXTENDED = 36
Global Const BGETKEY = 50

Global Const KEY_BUF_LEN = 255

Rem  Key Flags
Global Const DUP = 1
Global Const MODIFIABLE = 2
Global Const BIN = 4
Global Const NUL = 8
Global Const SEGMENT = 16
Global Const SEQ = 32
Global Const DEC = 64
Global Const SUP = 128

Rem  Key Types
Global Const EXTTYPE = 256
Global Const MANUAL = 512
Global Const BSTRING = 0
Global Const BINTEGER = 1
Global Const BFLOAT = 2
Global Const BDATE = 3
Global Const BTIME = 4
Global Const BDECIMAL = 5
Global Const BNUMERIC = 8
Global Const BZSTRING = 11
Global Const BAUTOINC = 15

Global Const B_NO_ERROR = 0
Global Const B_END_OF_FILE = 9

Global Const VAR_RECS = &H1
Global Const BLANK_TRUNC = &H2
Global Const PRE_ALLOC = &H4
Global Const DATA_COMP = &H8
Global Const KEY_ONLY = &H10
Global Const BALANCED_KEYS = &H20
Global Const FREE_10 = &H40
Global Const FREE_20 = &H80

Global Const FREE_30 = &HC0
Global Const DUP_PTRS = &H100
Global Const INCLUDE_SYSTEM_DATA = &H200
Global Const NO_INCLUDE_SYSTEM_DATA = &H1200
Global Const SPECIFY_KEY_NUMS = &H400
Global Const VATS_SUPPORT = &H800

Global Const FLD_STRING = 0
Global Const FLD_INTEGER = 1
Global Const FLD_IEEE = 2
Global Const FLD_DATE = 3
Global Const FLD_TIME = 4
Global Const FLD_MONEY = 6
Global Const FLD_LOGICAL = 7
Global Const FLD_BYTE = 19
Global Const FLD_UNICODE = 20

Declare Function BTRCALL Lib "w3btrv7.dll" (ByVal OP, Pb As Any, Db As Any, DL As Integer, ByRef Kb As Any, ByVal Kl, ByVal Kn) As Integer
Declare Function BTRCALLID Lib "w3btrv7.dll" (ByVal OP, Pb As Any, Db As Any, DL As Long, Kb As Any, ByVal Kl, ByVal Kn, ID As Any) As Integer

                

Sub SetField(ByRef fld As FieldMap, dataType As Long, Size As Long)
    fld.dataType = dataType
    fld.Size = Size
End Sub
